websocket-sharp : WebSocketSharp.Net Namespace

# HttpListener Class

Documentation for this section has not yet been entered.

## Syntax

public sealed class HttpListener : IDisposable

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: WebSocketSharp.Net
Assembly: websocket-sharp (in websocket-sharp.dll)
Assembly Versions: 1.0.2.36581

## Members

See Also: Inherited members from object.

## Public Constructors

| HttpListener () | Documentation for this section has not yet been entered.

## Public Properties

| AuthenticationSchemes | AuthenticationSchemes . Documentation for this section has not yet been entered.
| AuthenticationSchemeSelectorDelegate | AuthenticationSchemeSelector . Documentation for this section has not yet been entered.
| IgnoreWriteExceptions | bool . Documentation for this section has not yet been entered.
[read-only] | IsListening | bool . Documentation for this section has not yet been entered.
[read-only] static | IsSupported | bool . Documentation for this section has not yet been entered.
[read-only] | Prefixes | HttpListenerPrefixCollection . Documentation for this section has not yet been entered.
| Realm | string . Documentation for this section has not yet been entered.
| UnsafeConnectionNtlmAuthentication | bool . Documentation for this section has not yet been entered.

## Public Methods

Abort ()

> Documentation for this section has not yet been entered.

BeginGetContext (AsyncCallback, object) : IAsyncResult

> Documentation for this section has not yet been entered.

Close ()

> Documentation for this section has not yet been entered.

EndGetContext (IAsyncResult) : HttpListenerContext

> Documentation for this section has not yet been entered.

GetContext () : HttpListenerContext

> Documentation for this section has not yet been entered.

Start ()

> Documentation for this section has not yet been entered.

Stop ()

> Documentation for this section has not yet been entered.

## Explicitly Implemented Interface Members

| IDisposable.Dispose | Documentation for this section has not yet been entered.

## Extension Methods

static

IsNull<T> (this T) : bool

> Determines whether the specified object is `null`.

static

IsNullDo<T> (this T, Action) : bool

> Determines whether the specified object is `null`. And invokes the specified Action delegate if the specified object is `null`.

## Member Details

### HttpListener Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public HttpListener ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Abort Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Abort ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### AuthenticationSchemes Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public AuthenticationSchemes AuthenticationSchemes { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### AuthenticationSchemeSelectorDelegate Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public AuthenticationSchemeSelector AuthenticationSchemeSelectorDelegate { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### BeginGetContext Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public IAsyncResult BeginGetContext (AsyncCallback callback, object state)

> #### Parameters

> > callback
> >   Documentation for this section has not yet been entered.
> > state
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Close Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Close ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### EndGetContext Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public HttpListenerContext EndGetContext (IAsyncResult asyncResult)

> #### Parameters

> > asyncResult
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### GetContext Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public HttpListenerContext GetContext ()

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### IgnoreWriteExceptions Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool IgnoreWriteExceptions { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### IsListening Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool IsListening { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### IsSupported Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public static bool IsSupported { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Prefixes Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public HttpListenerPrefixCollection Prefixes { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Realm Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public string Realm { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Start Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Start ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Stop Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Stop ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### System.IDisposable.Dispose Method

> Documentation for this section has not yet been entered.

> ## Syntax

> void System.IDisposable.Dispose ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### UnsafeConnectionNtlmAuthentication Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool UnsafeConnectionNtlmAuthentication { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581